<?php
include 'db.php';

# create a session cookie
session_start();
$version = "1.0";

# see if user has logged in or is already logged in and
# grab username and password if available
$helpdesk_username = isset($_POST['username']) ? mysqli_real_escape_string($db,$_POST['username']) : $_SESSION['helpdesk_username'];
$helpdesk_password = isset($_POST['password']) ? mysqli_real_escape_string($db,$_POST['password']) : $_SESSION['helpdesk_password'];

# redirect to login page if not logged in
if(!isset($helpdesk_username) || !isset($helpdesk_password)) 
{
  header ("Location: login.php?no_data");
  exit();
}

$is_valid = checkpwd($helpdesk_password,$helpdesk_username);
if ($is_valid <> 1){
  header ("Location: login.php?invalid");
  exit();
}

//login success, so continue.
$sql = "SELECT * FROM users WHERE user_name = '$helpdesk_username' LIMIT 1;";        
$result = mysqli_query($db,$sql);
$row = mysqli_fetch_array($result);
$_SESSION['helpdesk_level'] = $row['access_level'];
$_SESSION['helpdesk_id'] = $row['user_id'];
$helpdesk_id = $_SESSION['helpdesk_id'];
$helpdesk_level = $_SESSION['helpdesk_level'];

# update session variables if this is a fresh login
$_SESSION['helpdesk_username'] = $helpdesk_username;
$_SESSION['helpdesk_password'] = $helpdesk_password;
