<?php
include('auth.php');
if(isset($_POST['submit'])){
	$today = date('y-m-d');
	$name = mysqli_real_escape_string($db,$_POST['name']);
	$phone = mysqli_real_escape_string($db,$_POST['phone']);
	$department_id = mysqli_real_escape_string($db,$_POST['department_id']);
	$issue_id = mysqli_real_escape_string($db,$_POST['issue_id']);
	$problem_desc = mysqli_real_escape_string($db,$_POST['problem_desc']);
	$problem_solution = mysqli_real_escape_string($db,$_POST['problem_solution']);
	$problem_notes = mysqli_real_escape_string($db,$_POST['problem_notes']);
	$status_id = mysqli_real_escape_string($db,$_POST['status_id']);
	$user_id = mysqli_real_escape_string($db,$_POST['user_id']);
	$sql = "insert into calls (call_date, name, phone, department_id, issue_id, problem_desc, problem_solution, problem_notes, status_id, user_id) values ";
	$sql .= "('$today', '$name', '$phone', '$department_id', '$issue_id', '$problem_desc', '$problem_solution', '$problem_notes', '$status_id', '$user_id');";
	mysqli_query($db,$sql);
	header('Location: calls.php');
	exit();

}else{
	// do nothing but load the page
}
?>
<!DOCTYPE html>
<html>
<head>
<title>Adding Call - <?php echo title;?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="<?php echo css;?>" type="text/css">
</head>

<?php include('body.php');?>
<form method="post" action="add_call.php">
<h2>Adding Call</h2>
<table class="table table-striped table-bordered" style="width: auto;">
	<tr>
		<td>Name:&nbsp;</td><td><input type="text" name="name" size="30"></td>
	</tr>
	<tr>
		<td>Phone:&nbsp;</td><td><input type="text" name="phone" size="20"></td>
	</tr>
	<tr>
		<td>Department:&nbsp;</td>
		<td>
			<select name="department_id">
	<?php
		$results = mysqli_query($db,"select * from departments order by department_desc;");
		if($row = mysqli_fetch_array($results)){
			do{
	?>
				<option value="<?php echo $row['department_id'];?>"><?php echo $row['department_desc'];?></option>
	<?php
			}while($row = mysqli_fetch_array($results));
		}
	?>
			</select>
		</td>
	</tr>
	<tr>
		<td>Issue Type:&nbsp;</td>
		<td>
			<select name="issue_id">
	<?php
		$results = mysqli_query($db,"select * from issue_types order by issue_desc");
		if($row = mysqli_fetch_array($results)){
			do{
	?>
				<option value="<?php echo $row['issue_id'];?>"><?php echo $row['issue_desc'];?></option>
	<?php
			}while($row = mysqli_fetch_array($results));
		}
	?>
			</select>
		</td>
	</tr>
	<tr>
		<td valign="top">Problem Description:&nbsp;</td><td><textarea name="problem_desc" cols="40" rows="2"></textarea></td>
	</tr>
	<tr>
		<td valign="top">Problem Solution:&nbsp;</td><td><textarea name="problem_solution" cols="40" rows="2"></textarea></td>
	</tr>
	<tr>
		<td valign="top">Problem Notes:&nbsp;</td><td><textarea name="problem_notes" cols="40" rows="2"></textarea></td>
	</tr>
	<tr>
		<td>Status:&nbsp;</td>
		<td>
			<select name="status_id">
	<?php
		$results = mysqli_query($db,"select * from call_status order by status_id");
		if($row = mysqli_fetch_array($results)){
			do{
	?>
				<option value="<?php echo $row['status_id'];?>"><?php echo $row['status_desc'];?></option>
	<?php
			}while($row = mysqli_fetch_array($results));
		}
	?>
			</select>
		</td>
	</tr>
	<tr>
		<td>Tech Staff:&nbsp;</td>
		<td>
			<select name="user_id">
	<?php
		$results = mysqli_query($db,"select * from users order by lname");
		if($row = mysqli_fetch_array($results)){
			do{
	?>
				<option value="<?php echo $row['user_id'];?>"><?php echo $row['lname'];?>, <?php echo $row['fname'];?></option>
	<?php
			}while($row = mysqli_fetch_array($results));
		}
	?>
			</select>
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td><td><input type="submit" name="submit" value="Add" class="btn btn-success">&nbsp;<a href="calls.php" class="btn btn-info">Cancel</a></td>
	</tr>
</table>
</form>

<?php include('footer.php');
